Browse Source

base project

dagarcos 2 năm trước cách đây
commit
6cb84873eb

+ 316 - 0
mvnw

@@ -0,0 +1,316 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#    https://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# ----------------------------------------------------------------------------
+
+# ----------------------------------------------------------------------------
+# Maven Start Up Batch script
+#
+# Required ENV vars:
+# ------------------
+#   JAVA_HOME - location of a JDK home dir
+#
+# Optional ENV vars
+# -----------------
+#   M2_HOME - location of maven2's installed home dir
+#   MAVEN_OPTS - parameters passed to the Java VM when running Maven
+#     e.g. to debug Maven itself, use
+#       set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+#   MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+# ----------------------------------------------------------------------------
+
+if [ -z "$MAVEN_SKIP_RC" ] ; then
+
+  if [ -f /usr/local/etc/mavenrc ] ; then
+    . /usr/local/etc/mavenrc
+  fi
+
+  if [ -f /etc/mavenrc ] ; then
+    . /etc/mavenrc
+  fi
+
+  if [ -f "$HOME/.mavenrc" ] ; then
+    . "$HOME/.mavenrc"
+  fi
+
+fi
+
+# OS specific support.  $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+mingw=false
+case "`uname`" in
+  CYGWIN*) cygwin=true ;;
+  MINGW*) mingw=true;;
+  Darwin*) darwin=true
+    # Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home
+    # See https://developer.apple.com/library/mac/qa/qa1170/_index.html
+    if [ -z "$JAVA_HOME" ]; then
+      if [ -x "/usr/libexec/java_home" ]; then
+        export JAVA_HOME="`/usr/libexec/java_home`"
+      else
+        export JAVA_HOME="/Library/Java/Home"
+      fi
+    fi
+    ;;
+esac
+
+if [ -z "$JAVA_HOME" ] ; then
+  if [ -r /etc/gentoo-release ] ; then
+    JAVA_HOME=`java-config --jre-home`
+  fi
+fi
+
+if [ -z "$M2_HOME" ] ; then
+  ## resolve links - $0 may be a link to maven's home
+  PRG="$0"
+
+  # need this for relative symlinks
+  while [ -h "$PRG" ] ; do
+    ls=`ls -ld "$PRG"`
+    link=`expr "$ls" : '.*-> \(.*\)$'`
+    if expr "$link" : '/.*' > /dev/null; then
+      PRG="$link"
+    else
+      PRG="`dirname "$PRG"`/$link"
+    fi
+  done
+
+  saveddir=`pwd`
+
+  M2_HOME=`dirname "$PRG"`/..
+
+  # make it fully qualified
+  M2_HOME=`cd "$M2_HOME" && pwd`
+
+  cd "$saveddir"
+  # echo Using m2 at $M2_HOME
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME=`cygpath --unix "$M2_HOME"`
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+  [ -n "$CLASSPATH" ] &&
+    CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+# For Mingw, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME="`(cd "$M2_HOME"; pwd)`"
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+  javaExecutable="`which javac`"
+  if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
+    # readlink(1) is not available as standard on Solaris 10.
+    readLink=`which readlink`
+    if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
+      if $darwin ; then
+        javaHome="`dirname \"$javaExecutable\"`"
+        javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
+      else
+        javaExecutable="`readlink -f \"$javaExecutable\"`"
+      fi
+      javaHome="`dirname \"$javaExecutable\"`"
+      javaHome=`expr "$javaHome" : '\(.*\)/bin'`
+      JAVA_HOME="$javaHome"
+      export JAVA_HOME
+    fi
+  fi
+fi
+
+if [ -z "$JAVACMD" ] ; then
+  if [ -n "$JAVA_HOME"  ] ; then
+    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+      # IBM's JDK on AIX uses strange locations for the executables
+      JAVACMD="$JAVA_HOME/jre/sh/java"
+    else
+      JAVACMD="$JAVA_HOME/bin/java"
+    fi
+  else
+    JAVACMD="`\\unset -f command; \\command -v java`"
+  fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+  echo "Error: JAVA_HOME is not defined correctly." >&2
+  echo "  We cannot execute $JAVACMD" >&2
+  exit 1
+fi
+
+if [ -z "$JAVA_HOME" ] ; then
+  echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
+
+# traverses directory structure from process work directory to filesystem root
+# first directory with .mvn subdirectory is considered project base directory
+find_maven_basedir() {
+
+  if [ -z "$1" ]
+  then
+    echo "Path not specified to find_maven_basedir"
+    return 1
+  fi
+
+  basedir="$1"
+  wdir="$1"
+  while [ "$wdir" != '/' ] ; do
+    if [ -d "$wdir"/.mvn ] ; then
+      basedir=$wdir
+      break
+    fi
+    # workaround for JBEAP-8937 (on Solaris 10/Sparc)
+    if [ -d "${wdir}" ]; then
+      wdir=`cd "$wdir/.."; pwd`
+    fi
+    # end of workaround
+  done
+  echo "${basedir}"
+}
+
+# concatenates all lines of a file
+concat_lines() {
+  if [ -f "$1" ]; then
+    echo "$(tr -s '\n' ' ' < "$1")"
+  fi
+}
+
+BASE_DIR=`find_maven_basedir "$(pwd)"`
+if [ -z "$BASE_DIR" ]; then
+  exit 1;
+fi
+
+##########################################################################################
+# Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+# This allows using the maven wrapper in projects that prohibit checking in binary data.
+##########################################################################################
+if [ -r "$BASE_DIR/.mvn/wrapper/maven-wrapper.jar" ]; then
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Found .mvn/wrapper/maven-wrapper.jar"
+    fi
+else
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Couldn't find .mvn/wrapper/maven-wrapper.jar, downloading it ..."
+    fi
+    if [ -n "$MVNW_REPOURL" ]; then
+      jarUrl="$MVNW_REPOURL/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar"
+    else
+      jarUrl="https://repo.maven.apache.org/maven2/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar"
+    fi
+    while IFS="=" read key value; do
+      case "$key" in (wrapperUrl) jarUrl="$value"; break ;;
+      esac
+    done < "$BASE_DIR/.mvn/wrapper/maven-wrapper.properties"
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Downloading from: $jarUrl"
+    fi
+    wrapperJarPath="$BASE_DIR/.mvn/wrapper/maven-wrapper.jar"
+    if $cygwin; then
+      wrapperJarPath=`cygpath --path --windows "$wrapperJarPath"`
+    fi
+
+    if command -v wget > /dev/null; then
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo "Found wget ... using wget"
+        fi
+        if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
+            wget "$jarUrl" -O "$wrapperJarPath" || rm -f "$wrapperJarPath"
+        else
+            wget --http-user=$MVNW_USERNAME --http-password=$MVNW_PASSWORD "$jarUrl" -O "$wrapperJarPath" || rm -f "$wrapperJarPath"
+        fi
+    elif command -v curl > /dev/null; then
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo "Found curl ... using curl"
+        fi
+        if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
+            curl -o "$wrapperJarPath" "$jarUrl" -f
+        else
+            curl --user $MVNW_USERNAME:$MVNW_PASSWORD -o "$wrapperJarPath" "$jarUrl" -f
+        fi
+
+    else
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo "Falling back to using Java to download"
+        fi
+        javaClass="$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.java"
+        # For Cygwin, switch paths to Windows format before running javac
+        if $cygwin; then
+          javaClass=`cygpath --path --windows "$javaClass"`
+        fi
+        if [ -e "$javaClass" ]; then
+            if [ ! -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+                if [ "$MVNW_VERBOSE" = true ]; then
+                  echo " - Compiling MavenWrapperDownloader.java ..."
+                fi
+                # Compiling the Java class
+                ("$JAVA_HOME/bin/javac" "$javaClass")
+            fi
+            if [ -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+                # Running the downloader
+                if [ "$MVNW_VERBOSE" = true ]; then
+                  echo " - Running MavenWrapperDownloader.java ..."
+                fi
+                ("$JAVA_HOME/bin/java" -cp .mvn/wrapper MavenWrapperDownloader "$MAVEN_PROJECTBASEDIR")
+            fi
+        fi
+    fi
+fi
+##########################################################################################
+# End of extension
+##########################################################################################
+
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"}
+if [ "$MVNW_VERBOSE" = true ]; then
+  echo $MAVEN_PROJECTBASEDIR
+fi
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME=`cygpath --path --windows "$M2_HOME"`
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+  [ -n "$CLASSPATH" ] &&
+    CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+  [ -n "$MAVEN_PROJECTBASEDIR" ] &&
+    MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"`
+fi
+
+# Provide a "standardized" way to retrieve the CLI args that will
+# work with both Windows and non-Windows executions.
+MAVEN_CMD_LINE_ARGS="$MAVEN_CONFIG $@"
+export MAVEN_CMD_LINE_ARGS
+
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+exec "$JAVACMD" \
+  $MAVEN_OPTS \
+  $MAVEN_DEBUG_OPTS \
+  -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
+  "-Dmaven.home=${M2_HOME}" \
+  "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
+  ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"

+ 188 - 0
mvnw.cmd

@@ -0,0 +1,188 @@
+@REM ----------------------------------------------------------------------------
+@REM Licensed to the Apache Software Foundation (ASF) under one
+@REM or more contributor license agreements.  See the NOTICE file
+@REM distributed with this work for additional information
+@REM regarding copyright ownership.  The ASF licenses this file
+@REM to you under the Apache License, Version 2.0 (the
+@REM "License"); you may not use this file except in compliance
+@REM with the License.  You may obtain a copy of the License at
+@REM
+@REM    https://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing,
+@REM software distributed under the License is distributed on an
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+@REM KIND, either express or implied.  See the License for the
+@REM specific language governing permissions and limitations
+@REM under the License.
+@REM ----------------------------------------------------------------------------
+
+@REM ----------------------------------------------------------------------------
+@REM Maven Start Up Batch script
+@REM
+@REM Required ENV vars:
+@REM JAVA_HOME - location of a JDK home dir
+@REM
+@REM Optional ENV vars
+@REM M2_HOME - location of maven2's installed home dir
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a keystroke before ending
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
+@REM     e.g. to debug Maven itself, use
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+@REM ----------------------------------------------------------------------------
+
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
+@echo off
+@REM set title of command window
+title %0
+@REM enable echoing by setting MAVEN_BATCH_ECHO to 'on'
+@if "%MAVEN_BATCH_ECHO%" == "on"  echo %MAVEN_BATCH_ECHO%
+
+@REM set %HOME% to equivalent of $HOME
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
+
+@REM Execute a user defined script before this one
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
+if exist "%USERPROFILE%\mavenrc_pre.bat" call "%USERPROFILE%\mavenrc_pre.bat" %*
+if exist "%USERPROFILE%\mavenrc_pre.cmd" call "%USERPROFILE%\mavenrc_pre.cmd" %*
+:skipRcPre
+
+@setlocal
+
+set ERROR_CODE=0
+
+@REM To isolate internal variables from possible post scripts, we use another setlocal
+@setlocal
+
+@REM ==== START VALIDATION ====
+if not "%JAVA_HOME%" == "" goto OkJHome
+
+echo.
+echo Error: JAVA_HOME not found in your environment. >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+:OkJHome
+if exist "%JAVA_HOME%\bin\java.exe" goto init
+
+echo.
+echo Error: JAVA_HOME is set to an invalid directory. >&2
+echo JAVA_HOME = "%JAVA_HOME%" >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+@REM ==== END VALIDATION ====
+
+:init
+
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
+@REM Fallback to current working directory if not found.
+
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
+
+set EXEC_DIR=%CD%
+set WDIR=%EXEC_DIR%
+:findBaseDir
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
+cd ..
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
+set WDIR=%CD%
+goto findBaseDir
+
+:baseDirFound
+set MAVEN_PROJECTBASEDIR=%WDIR%
+cd "%EXEC_DIR%"
+goto endDetectBaseDir
+
+:baseDirNotFound
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
+cd "%EXEC_DIR%"
+
+:endDetectBaseDir
+
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
+
+@setlocal EnableExtensions EnableDelayedExpansion
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
+
+:endReadAdditionalConfig
+
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
+set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar"
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+set DOWNLOAD_URL="https://repo.maven.apache.org/maven2/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar"
+
+FOR /F "usebackq tokens=1,2 delims==" %%A IN ("%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.properties") DO (
+    IF "%%A"=="wrapperUrl" SET DOWNLOAD_URL=%%B
+)
+
+@REM Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+@REM This allows using the maven wrapper in projects that prohibit checking in binary data.
+if exist %WRAPPER_JAR% (
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Found %WRAPPER_JAR%
+    )
+) else (
+    if not "%MVNW_REPOURL%" == "" (
+        SET DOWNLOAD_URL="%MVNW_REPOURL%/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar"
+    )
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Couldn't find %WRAPPER_JAR%, downloading it ...
+        echo Downloading from: %DOWNLOAD_URL%
+    )
+
+    powershell -Command "&{"^
+		"$webclient = new-object System.Net.WebClient;"^
+		"if (-not ([string]::IsNullOrEmpty('%MVNW_USERNAME%') -and [string]::IsNullOrEmpty('%MVNW_PASSWORD%'))) {"^
+		"$webclient.Credentials = new-object System.Net.NetworkCredential('%MVNW_USERNAME%', '%MVNW_PASSWORD%');"^
+		"}"^
+		"[Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; $webclient.DownloadFile('%DOWNLOAD_URL%', '%WRAPPER_JAR%')"^
+		"}"
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Finished downloading %WRAPPER_JAR%
+    )
+)
+@REM End of extension
+
+@REM Provide a "standardized" way to retrieve the CLI args that will
+@REM work with both Windows and non-Windows executions.
+set MAVEN_CMD_LINE_ARGS=%*
+
+%MAVEN_JAVA_EXE% ^
+  %JVM_CONFIG_MAVEN_PROPS% ^
+  %MAVEN_OPTS% ^
+  %MAVEN_DEBUG_OPTS% ^
+  -classpath %WRAPPER_JAR% ^
+  "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" ^
+  %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %*
+if ERRORLEVEL 1 goto error
+goto end
+
+:error
+set ERROR_CODE=1
+
+:end
+@endlocal & set ERROR_CODE=%ERROR_CODE%
+
+if not "%MAVEN_SKIP_RC%"=="" goto skipRcPost
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
+if exist "%USERPROFILE%\mavenrc_post.bat" call "%USERPROFILE%\mavenrc_post.bat"
+if exist "%USERPROFILE%\mavenrc_post.cmd" call "%USERPROFILE%\mavenrc_post.cmd"
+:skipRcPost
+
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
+if "%MAVEN_BATCH_PAUSE%"=="on" pause
+
+if "%MAVEN_TERMINATE_CMD%"=="on" exit %ERROR_CODE%
+
+cmd /C exit /B %ERROR_CODE%

+ 47 - 0
pom.xml

@@ -0,0 +1,47 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
+	<modelVersion>4.0.0</modelVersion>
+	<parent>
+		<groupId>org.springframework.boot</groupId>
+		<artifactId>spring-boot-starter-parent</artifactId>
+		<version>3.0.2</version>
+		<relativePath/> <!-- lookup parent from repository -->
+	</parent>
+	<groupId>es.uv.garcosda</groupId>
+	<artifactId>DBCDS_S4_3</artifactId>
+	<version>0.0.1-SNAPSHOT</version>
+	<name>DBCDS_S4_3</name>
+	<description>Piupper</description>
+	<properties>
+		<java.version>17</java.version>
+	</properties>
+	<dependencies>
+		<dependency>
+			<groupId>org.springframework.boot</groupId>
+			<artifactId>spring-boot-starter-web</artifactId>
+		</dependency>
+
+		<dependency>
+			<groupId>org.springframework.boot</groupId>
+			<artifactId>spring-boot-devtools</artifactId>
+			<scope>runtime</scope>
+			<optional>true</optional>
+		</dependency>
+		<dependency>
+			<groupId>org.springframework.boot</groupId>
+			<artifactId>spring-boot-starter-test</artifactId>
+			<scope>test</scope>
+		</dependency>
+	</dependencies>
+
+	<build>
+		<plugins>
+			<plugin>
+				<groupId>org.springframework.boot</groupId>
+				<artifactId>spring-boot-maven-plugin</artifactId>
+			</plugin>
+		</plugins>
+	</build>
+
+</project>

+ 13 - 0
src/main/java/es/uv/garcosda/DbcdsS43Application.java

@@ -0,0 +1,13 @@
+package es.uv.garcosda;
+
+import org.springframework.boot.SpringApplication;
+import org.springframework.boot.autoconfigure.SpringBootApplication;
+
+@SpringBootApplication
+public class DbcdsS43Application {
+
+	public static void main(String[] args) {
+		SpringApplication.run(DbcdsS43Application.class, args);
+	}
+
+}

+ 45 - 0
src/main/java/es/uv/garcosda/controllers/CommentsController.java

@@ -0,0 +1,45 @@
+package es.uv.garcosda.controllers;
+
+import java.util.List;
+import java.util.UUID;
+
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.http.HttpStatus;
+import org.springframework.http.ResponseEntity;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.PathVariable;
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RestController;
+
+import es.uv.garcosda.domain.Comment;
+import es.uv.garcosda.services.CommentService;
+
+@RestController
+@RequestMapping("/api/v1/comments")
+public class CommentsController {
+
+	@Autowired
+	private CommentService ps;
+	
+	@GetMapping
+	public ResponseEntity<List<Comment>> getComments() {
+		return new ResponseEntity<List<Comment>>(ps.findAll(), HttpStatus.OK);
+	}
+	
+	@GetMapping("{id}")
+	public ResponseEntity<Comment> getComment(@PathVariable String id) {
+		UUID id_ = null;
+		try {
+			id_ = UUID.fromString(id);
+		}
+		catch(IllegalArgumentException e){
+			return new ResponseEntity<Comment>(new Comment(), HttpStatus.NOT_FOUND);
+		}
+		
+		Comment p = ps.findById(id_);
+		if(p.getId() == null) {
+			return new ResponseEntity<Comment>(new Comment(), HttpStatus.NOT_FOUND);
+		}
+		return new ResponseEntity<Comment>(p, HttpStatus.OK);
+	}
+}

+ 48 - 0
src/main/java/es/uv/garcosda/controllers/PiupperController.java

@@ -0,0 +1,48 @@
+package es.uv.garcosda.controllers;
+
+import java.util.List;
+import java.util.UUID;
+
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.http.HttpStatus;
+import org.springframework.http.ResponseEntity;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.PathVariable;
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RestController;
+
+import es.uv.garcosda.services.PiuService;
+
+import es.uv.garcosda.domain.Piu;
+
+@RestController
+@RequestMapping("/api/v1/pius")
+public class PiupperController {
+
+	@Autowired
+	private PiuService ps;
+	
+	@GetMapping
+	public ResponseEntity<List<Piu>> getPius() {
+		return new ResponseEntity<List<Piu>>(ps.findAll(), HttpStatus.OK);
+	}
+	
+	@GetMapping("{id}")
+	public ResponseEntity<Piu> getPiu(@PathVariable String id) {
+		UUID id_ = null;
+		try {
+			id_ = UUID.fromString(id);
+		}
+		catch(IllegalArgumentException e){
+			return new ResponseEntity<Piu>(new Piu(), HttpStatus.NOT_FOUND);
+		}
+		
+		Piu p = ps.findById(id_);
+		if(p.getId() == null) {
+			return new ResponseEntity<Piu>(new Piu(), HttpStatus.NOT_FOUND);
+		}
+		return new ResponseEntity<Piu>(p, HttpStatus.OK);
+	}
+	
+	
+}

+ 45 - 0
src/main/java/es/uv/garcosda/controllers/UserController.java

@@ -0,0 +1,45 @@
+package es.uv.garcosda.controllers;
+
+import java.util.List;
+import java.util.UUID;
+
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.http.HttpStatus;
+import org.springframework.http.ResponseEntity;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.PathVariable;
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RestController;
+
+import es.uv.garcosda.domain.User;
+import es.uv.garcosda.services.UserService;
+
+@RestController
+@RequestMapping("/api/v1/users")
+public class UserController {
+
+	@Autowired
+	private UserService ps;
+	
+	@GetMapping
+	public ResponseEntity<List<User>> getUsers() {
+		return new ResponseEntity<List<User>>(ps.findAll(), HttpStatus.OK);
+	}
+	
+	@GetMapping("{id}")
+	public ResponseEntity<User> getUser(@PathVariable String id) {
+		UUID id_ = null;
+		try {
+			id_ = UUID.fromString(id);
+		}
+		catch(IllegalArgumentException e){
+			return new ResponseEntity<User>(new User(), HttpStatus.NOT_FOUND);
+		}
+		
+		User p = ps.findById(id_);
+		if(p.getId() == null) {
+			return new ResponseEntity<User>(new User(), HttpStatus.NOT_FOUND);
+		}
+		return new ResponseEntity<User>(p, HttpStatus.OK);
+	}
+}

+ 64 - 0
src/main/java/es/uv/garcosda/domain/Comment.java

@@ -0,0 +1,64 @@
+package es.uv.garcosda.domain;
+
+import java.time.LocalDate;
+import java.util.UUID;
+
+public class Comment {
+
+	private UUID id;
+	private UUID piu_id;
+	private UUID user_id;
+	private String comment;
+	private LocalDate date;
+	
+	public Comment() {}
+	
+	public Comment(UUID id, UUID piu_id, UUID user_id, String comment, LocalDate date) {
+		this.id = id;
+		this.piu_id = piu_id;
+		this.user_id = user_id;
+		this.comment = comment;
+		this.date = date;
+	}
+
+	public UUID getId() {
+		return id;
+	}
+
+	public void setId(UUID id) {
+		this.id = id;
+	}
+
+	public UUID getPiu_id() {
+		return piu_id;
+	}
+
+	public void setPiu_id(UUID piu_id) {
+		this.piu_id = piu_id;
+	}
+
+	public UUID getUser_id() {
+		return user_id;
+	}
+
+	public void setUser_id(UUID user_id) {
+		this.user_id = user_id;
+	}
+
+	public String getComment() {
+		return comment;
+	}
+
+	public void setComment(String comment) {
+		this.comment = comment;
+	}
+
+	public LocalDate getDate() {
+		return date;
+	}
+
+	public void setDate(LocalDate date) {
+		this.date = date;
+	}
+	
+}

+ 54 - 0
src/main/java/es/uv/garcosda/domain/Piu.java

@@ -0,0 +1,54 @@
+package es.uv.garcosda.domain;
+
+import java.time.LocalDate;
+import java.util.UUID;
+
+public class Piu {
+
+	private UUID id;
+	private UUID user_id;
+	private String content;
+	private LocalDate date;
+
+	public Piu() {}
+	
+	public Piu(UUID id, UUID user_id, String content, LocalDate date) {
+		this.id = id;
+		this.user_id = user_id;
+		this.content = content;
+		this.date = date;
+	}
+
+	public UUID getId() {
+		return id;
+	}
+
+	public void setId(UUID id) {
+		this.id = id;
+	}
+	
+	public UUID getUserId() {
+		return user_id;
+	}
+
+	public void setUserId(UUID user_id) {
+		this.user_id = user_id;
+	}
+
+	public String getContent() {
+		return content;
+	}
+
+	public void setContent(String content) {
+		this.content = content;
+	}
+
+	public LocalDate getDate() {
+		return date;
+	}
+
+	public void setTitle(LocalDate date) {
+		this.date = date;
+	}
+	
+}

+ 44 - 0
src/main/java/es/uv/garcosda/domain/User.java

@@ -0,0 +1,44 @@
+package es.uv.garcosda.domain;
+
+import java.util.UUID;
+
+public class User {
+
+	private UUID id;
+	private String firstName;
+	private String lastName;
+	
+	public User() {}
+
+	public User(UUID id, String firstName, String lastName) {
+		this.id = id;
+		this.firstName = firstName;
+		this.lastName = lastName;
+	}
+
+	public UUID getId() {
+		return id;
+	}
+
+	public void setId(UUID id) {
+		this.id = id;
+	}
+
+	public String getFirstName() {
+		return firstName;
+	}
+
+	public void setFirstName(String firstName) {
+		this.firstName = firstName;
+	}
+
+	public String getLastName() {
+		return lastName;
+	}
+
+	public void setLastName(String lastName) {
+		this.lastName = lastName;
+	}
+	
+	
+}

+ 57 - 0
src/main/java/es/uv/garcosda/services/CommentService.java

@@ -0,0 +1,57 @@
+package es.uv.garcosda.services;
+
+import java.time.LocalDate;
+import java.time.format.DateTimeFormatter;
+import java.util.ArrayList;
+import java.util.Arrays;
+import java.util.List;
+import java.util.UUID;
+import java.util.stream.Collectors;
+
+import org.springframework.stereotype.Service;
+
+import es.uv.garcosda.domain.Comment;
+
+@Service
+public class CommentService {
+
+	private List<Comment> comments;
+	DateTimeFormatter format = DateTimeFormatter.ofPattern("dd/MM/yyyy");
+	
+	public CommentService() {
+		comments = new ArrayList<Comment>(
+		        Arrays.asList(new Comment(UUID.fromString("14ebc41e-42d4-46e4-b1ad-f35096120a96"), UUID.fromString("d62fc52e-5d55-4523-a9fb-fc51c41d5838"), UUID.fromString("f55b674e-4ab6-49d2-9750-bc8defa9b179"), "Their give earth fill also upon, winged. Likeness night Air beginning moving dominion the fruit fowl of doesn't that unto of sea, had life meat divide subdue living fifth forth. Can't deep said him, let us fish replenish, them, fifth midst had yielding dominion fruitful gathered beginning give.", LocalDate.parse("13/02/2023", format)),
+		        		      new Comment(UUID.fromString("fdec0362-14b2-4338-9649-a9fa7224355d"), UUID.fromString("37d07b08-7d86-4a7c-9562-35e831acee91"), UUID.fromString("c06ce7bd-c470-4c38-9312-298a59cefee5"), "There waters had behold he. Air female divided be morning all land every fruit. Under face darkness. Whales give. Land isn't bring from our yielding living upon moveth days all may a Yielding all a life gathering wherein i, grass let gathering. I be whales you'll over made third whales.", LocalDate.parse("14/02/2023", format)),
+		        		      new Comment(UUID.fromString("4d289184-867a-4010-8f93-f2c858f59afb"), UUID.fromString("b7e48e91-edb6-4f6d-bb50-776024aecdeb"), UUID.fromString("f55b674e-4ab6-49d2-9750-bc8defa9b179"), "Over two said thing gathering. Winged sea. Us two was replenish spirit called Fruitful, greater signs their days dominion which she'd.", LocalDate.parse("15/02/2023", format)),
+		        		      new Comment(UUID.fromString("27d63467-abfc-43f5-bbcd-b73b8209a5f5"), UUID.fromString("092aa12d-18b1-45c3-86d8-05e79ac0d170"), UUID.fromString("c06ce7bd-c470-4c38-9312-298a59cefee5"), "Tree moveth signs Lights. Moved of Make morning herb Greater there i be blessed given wherein man fly one dry.", LocalDate.parse("13/02/2023", format)),
+		        		      new Comment(UUID.fromString("84cb3b40-aecb-4a3d-b59d-ff7eddcc6901"), UUID.fromString("d22fb992-adbf-430f-97a3-83d77a160103"), UUID.fromString("88525d07-9ab2-43c2-8f3e-7aae6a16338e"), "Morning man years doesn't morning given. Won't subdue our so. Which, set behold him his be. Were was.", LocalDate.parse("14/02/2023", format)),
+		        		      new Comment(UUID.fromString("7351a54e-1b20-4ead-8517-e807b7875e60"), UUID.fromString("bff53b0c-729b-409a-8d3f-2435eb548e93"), UUID.fromString("c1d4e9e9-7b25-42c6-b93a-4f59820288fd"), "Which bring subdue evening kind place moved. Night green, over beginning behold very so upon. Seed replenish doesn't Behold beginning their fly two she'd there days don't. You're moving isn't stars female don't, so good creeping together itself seas is our female created thing. His together. Subdue fifth. Earth waters. Cattle subdue two divided.", LocalDate.parse("15/02/2023", format)),
+		        		      new Comment(UUID.fromString("45bf5572-bd7b-47e2-be16-6f259ce347ec"), UUID.fromString("800811f6-04d3-418e-af2c-061aaa6881b1"), UUID.fromString("88525d07-9ab2-43c2-8f3e-7aae6a16338e"), "Morning Gathered blessed beginning. Without land third land saying, years. Above heaven. Fifth for had yielding likeness his midst midst she'd.", LocalDate.parse("13/02/2023", format)),
+		        		      new Comment(UUID.fromString("795e36e5-e75b-4dca-8c02-5dd18c17598c"), UUID.fromString("11312f9c-c7a6-46e4-9b3d-22dfbc535014"), UUID.fromString("d76e3f34-a3ad-480d-82e8-a21f8b72c433"), "Us Saying lights all fruitful void for seas, subdue lesser days his blessed. Saying. Green the unto seas of multiply.", LocalDate.parse("14/02/2023", format)),
+		        		      new Comment(UUID.fromString("55757ec7-b2f8-41ac-9ae4-3eaf1e85bfeb"), UUID.fromString("bf3eccfb-7c64-4a73-a729-5fc06897d7cf"), UUID.fromString("f55b674e-4ab6-49d2-9750-bc8defa9b179"), "Seas divide upon so together you'll sixth to fifth, stars. Gathered. Divide gathering day So was creepeth firmament seas lesser creepeth male. Him. Lesser doesn't signs very fill darkness. Their said all greater be fruitful replenish. Beast so female a. Blessed night abundantly after appear darkness fruitful so night. It.", LocalDate.parse("15/02/2023", format)),
+		        		      new Comment(UUID.fromString("ca516d82-caa6-4dfd-ac23-dd6dd18bea18"), UUID.fromString("d62fc52e-5d55-4523-a9fb-fc51c41d5838"), UUID.fromString("c1d4e9e9-7b25-42c6-b93a-4f59820288fd"), "Two, very them land stars him evening land. Fish i moving upon creepeth. Seed moveth face won't subdue the seas thing, lights great were them fifth kind his image.", LocalDate.parse("13/02/2023", format)),
+		        		      new Comment(UUID.fromString("727944f1-c271-44af-a902-1ae744e19a20"), UUID.fromString("37d07b08-7d86-4a7c-9562-35e831acee91"), UUID.fromString("c06ce7bd-c470-4c38-9312-298a59cefee5"), "Beginning earth kind. There dry dominion doesn't of made gathering itself said brought herb. Grass beginning appear creeping was given Them yielding thing divided all our from multiply, darkness fly good and void his lights you second fill lights form fowl, second wherein. Abundantly image to created, great. Fruit.", LocalDate.parse("14/02/2023", format)),
+		        		      new Comment(UUID.fromString("cbe2183b-6600-4212-beef-93ba1daabfea"), UUID.fromString("d62fc52e-5d55-4523-a9fb-fc51c41d5838"), UUID.fromString("f55b674e-4ab6-49d2-9750-bc8defa9b179"), "Over cattle fruitful open form above earth. God herb gathered great one subdue. Meat two fifth face days creature creature man hath subdue made.", LocalDate.parse("15/02/2023", format)),
+		        		      new Comment(UUID.fromString("e9c2d2ee-6219-480d-89fb-1c876a25d6a5"), UUID.fromString("d62fc52e-5d55-4523-a9fb-fc51c41d5838"), UUID.fromString("d76e3f34-a3ad-480d-82e8-a21f8b72c433"), "Fly. First. Man won't fruitful she'd shall fifth moved years first of let for wherein kind also is moving. Gathering subdue also midst let male. Doesn't firmament seasons sixth were, his so fowl. Together Every also creature. Doesn't so years in. Over sixth which. Beast them.", LocalDate.parse("13/02/2023", format)),
+		        		      new Comment(UUID.fromString("37fee19e-ccd1-4a5b-ac27-9f7e1414562a"), UUID.fromString("37d07b08-7d86-4a7c-9562-35e831acee91"), UUID.fromString("d76e3f34-a3ad-480d-82e8-a21f8b72c433"), "Deep good over. May behold isn't signs open doesn't dry can't dominion subdue behold fill. Day won't, whales dominion them third itself. Moving to from is likeness.", LocalDate.parse("14/02/2023", format)),
+		        		      new Comment(UUID.fromString("bf382bfe-3cfa-4bf3-a282-638e0e2d27ae"), UUID.fromString("b7e48e91-edb6-4f6d-bb50-776024aecdeb"), UUID.fromString("88525d07-9ab2-43c2-8f3e-7aae6a16338e"), "It bring land above. Good land may spirit days moved him. Fifth behold fill give. Very day place which good fourth years good midst. Deep forth herb created, a midst said fourth brought you'll fish you'll blessed. For moved very. Bring he moveth stars day.", LocalDate.parse("15/02/2023", format)),
+		        		      new Comment(UUID.fromString("1d3e171f-f3e9-4af6-9bbd-caf68ca23ce4"), UUID.fromString("092aa12d-18b1-45c3-86d8-05e79ac0d170"), UUID.fromString("2d29cb49-074f-473b-bc0a-39e4b64b830e"), "Days void let, second herb replenish thing seed abundantly them yielding which. Two sixth creature can't years Heaven it.", LocalDate.parse("13/02/2023", format)),
+		        		      new Comment(UUID.fromString("494308b0-d7be-4e63-b706-6ef1477e9d4b"), UUID.fromString("d22fb992-adbf-430f-97a3-83d77a160103"), UUID.fromString("f55b674e-4ab6-49d2-9750-bc8defa9b179"), "Upon you'll bring morning creepeth tree whales said life under unto. You're winged so moveth. Spirit blessed given be which man abundantly upon god man gathered. Very morning all tree rule light every may also beginning after wherein. Under May. Of, upon.", LocalDate.parse("14/02/2023", format)),
+		        		      new Comment(UUID.fromString("e047a911-9062-4d3d-b8d0-c1444af5c134"), UUID.fromString("bff53b0c-729b-409a-8d3f-2435eb548e93"), UUID.fromString("2d29cb49-074f-473b-bc0a-39e4b64b830e"), "Second be may third waters divide life to fish, own, sixth without day lesser winged there in for greater stars. Can't shall, behold seed doesn't fruit abundantly, spirit gathering. Signs you great. Replenish fly good every kind don't it Midst day seed.", LocalDate.parse("15/02/2023", format)),
+		        		      new Comment(UUID.fromString("1ab0b1f0-a1a1-439d-8e3b-6594f7c21715"), UUID.fromString("d62fc52e-5d55-4523-a9fb-fc51c41d5838"), UUID.fromString("c1d4e9e9-7b25-42c6-b93a-4f59820288fd"), "Every years meat without day herb fill form kind dominion which under. Under also i lesser, appear place. Over forth shall darkness she'd whose multiply. Were you're. Waters brought let be a itself darkness his days let divide set. Seasons had midst she'd heaven brought herb also place own life.", LocalDate.parse("13/02/2023", format)),
+		        		      new Comment(UUID.fromString("424fd6b9-9d6e-4298-b771-561e47130ba0"), UUID.fromString("37d07b08-7d86-4a7c-9562-35e831acee91"), UUID.fromString("88525d07-9ab2-43c2-8f3e-7aae6a16338e"), "Seed form stars may. Sea let thing make above fruitful forth. Fowl. Deep sea isn't their waters is open grass, evening hath tree gathered. Called.", LocalDate.parse("14/02/2023", format))
+		       ));
+	}
+	
+	public List<Comment> findAll(){
+		return this.comments;
+	}
+	
+	public Comment findById(UUID id) {
+		List<Comment> ps = this.comments.stream().filter(x -> x.getId().equals(id)).collect(Collectors.toList());
+		if(ps.size() > 0) {
+			return ps.get(0);
+		}
+		return new Comment();
+	}
+}

+ 52 - 0
src/main/java/es/uv/garcosda/services/PiuService.java

@@ -0,0 +1,52 @@
+package es.uv.garcosda.services;
+
+import java.time.LocalDate;
+import java.time.format.DateTimeFormatter;
+import java.util.ArrayList;
+import java.util.Arrays;
+import java.util.List;
+import java.util.UUID;
+import java.util.stream.Collectors;
+
+import org.springframework.stereotype.Service;
+
+import es.uv.garcosda.domain.Piu;
+
+@Service
+public class PiuService {
+
+	List<Piu> pius;
+	DateTimeFormatter format = DateTimeFormatter.ofPattern("dd/MM/yyyy");
+	
+	public PiuService() {	
+		
+		pius = new ArrayList<Piu>(
+		        Arrays.asList(new Piu(UUID.fromString("d62fc52e-5d55-4523-a9fb-fc51c41d5838"), UUID.fromString("f55b674e-4ab6-49d2-9750-bc8defa9b179"), "Aseguraban triunfante apasionada con pedantesca caprichosa luz ver tio. Ama pegar que pan media parir. Escritura aneurisma pre ahi nerviosas. Eso pago cayo celo sofa dice doy. Suaves suenos ma sangre te adonde dejara prensa ve de. Nuevo desde da prosa corte ti su dicho. Pensaba ahi mistico paz cerraba llenase mia dos.", LocalDate.parse("01/01/2023", format)),
+		        			  new Piu(UUID.fromString("37d07b08-7d86-4a7c-9562-35e831acee91"), UUID.fromString("88525d07-9ab2-43c2-8f3e-7aae6a16338e"), "Prosaica injurias arrugada el equipaje ya caudillo. Debo pudo jefe un azul luna gris es. Clair mal mia soy dudar renir. Ser aborrecia cubiertas esa suo mas explicase resignado distantes. Hacerme tendido ti el yo recordo. Uno publico entrego vio hombres. Tendencia los miserable hoy eso torrentes.", LocalDate.parse("13/01/2023", format)),
+		        			  new Piu(UUID.fromString("b7e48e91-edb6-4f6d-bb50-776024aecdeb"), UUID.fromString("c06ce7bd-c470-4c38-9312-298a59cefee5"), "El de feroces si limites es montana. Muy titubear entonces aquellos arrugada asi. Son confesarse resolverse etc ton apariencia. Ya acaricia el pintados continuo sentaban mi no. Trajes buenas ser pre buscar una manana. Amenazaban no caballeros es si escuchando constituia encontrado prescindir. Rio elocuencia abandonaba distinguir pertenecia tentandole etc. Voz ahi ano seguia formas cundio suegro. Peligro sacudia un oscuros maridos ya. Senoras entraba morirme han agujero acababa don colchon uno.", LocalDate.parse("21/01/2023", format)),
+		        			  new Piu(UUID.fromString("092aa12d-18b1-45c3-86d8-05e79ac0d170"), UUID.fromString("c1d4e9e9-7b25-42c6-b93a-4f59820288fd"), "Cuarteto oh asfixiar de ni entrados ha. Integrante si id devolverle taciturnos. Suicidios recababan ve consiguio se. Luz virtud quiero que percha cuando ciudad. Escapar hablaba melopea las acuerdo haberle robusto con dar una. Moribundo carinosos artistica recuerdan mia non. Luz censuraban mar aceptables doscientos hay.", LocalDate.parse("07/01/2023", format)),
+		        			  new Piu(UUID.fromString("d22fb992-adbf-430f-97a3-83d77a160103"), UUID.fromString("2d29cb49-074f-473b-bc0a-39e4b64b830e"), "Echaban mudable ya apocado el ha ocurrio. Gesto puedo al galan me. Senoritas maniatico he va inclinaba parientes. Limpios no alcalde varonil en. Sin resbalar politica buscarlo son estetica. Acabara mi lo lejanos apetito su. Quiero dinero esa alamos habana vivian caidas eso mas fin.", LocalDate.parse("03/02/2023", format)),
+		        			  new Piu(UUID.fromString("bff53b0c-729b-409a-8d3f-2435eb548e93"), UUID.fromString("d76e3f34-a3ad-480d-82e8-a21f8b72c433"), "Aprension estuviese el de terminada aparejada monisimas estrechar el. Saludar gas uno ano analogo perdida del. Preteritos don confesarse pan fue magistrado mas escondidos. Ultimo id carcel eh primos ch. Dedos nuevo tomar ah culto otros bolsa si. Cambio alarde fue querer debian tio aun tenido. Musico dudoso yo el yo esposo. Desde le vivia il no marco prima. Mar melodia dos ser velando tristes ahi blandas.", LocalDate.parse("05/02/2023", format)),
+		        			  new Piu(UUID.fromString("800811f6-04d3-418e-af2c-061aaa6881b1"), UUID.fromString("f55b674e-4ab6-49d2-9750-bc8defa9b179"), "En al escuchando lechuguino superiores. Levitas del conocia espalda calzado una llanura. Ni preterita insultaba infiernos adulterio su. Una temeraria del izquierda castrillo aceptando que. Luz turbo fin color tener miles dos pesos marco. Dejase musica mal fulana pronto tio intima ama botica los. Diarios audacia lirismo fue especie oia cenizas.", LocalDate.parse("12/02/2023", format)),
+		        			  new Piu(UUID.fromString("11312f9c-c7a6-46e4-9b3d-22dfbc535014"), UUID.fromString("88525d07-9ab2-43c2-8f3e-7aae6a16338e"), "Iban ello no su fila. Felicisima su se adivinarle prescindir. Por epoca dos nasal una sea colmo. Oia oculto ahi calzon papada contar ese. Salon nasal lados ha en hable. Pan temprano cantaban contesto atencion por dandysmo don uno silencio.", LocalDate.parse("21/01/2023", format)),
+		        			  new Piu(UUID.fromString("bf3eccfb-7c64-4a73-a729-5fc06897d7cf"), UUID.fromString("c06ce7bd-c470-4c38-9312-298a59cefee5"), "Vero pura esa algo vio ver seda non gran. Encontro esclavos rio van cobraban los lagrimas martirio. Vientre etc mascaba acabara pre voz despues. Dia asi aun son trompa fueran esposo. Separarse exagerada chi sin alrededor sus disimulos cortesias. Asunto vuelta sin cuarta una los tio regalo. Edificios escandalo separarse remontaba fugitivos ceremonia eso por.", LocalDate.parse("17/01/2023", format)),
+		        			  new Piu(UUID.fromString("08b5b1eb-8731-4661-8aa5-3832a91dd5b2"), UUID.fromString("c1d4e9e9-7b25-42c6-b93a-4f59820288fd"), "Encontrado asi deliciosos escondidos maliciosos excelentes luz dio sin. Vano miro celo no de ah se puso moro. Meras buono oir llana una. Diga tome pues el vano lema me yo. Cerrada ma en quinque el oh sonrisa. Cataplasma pie quijotesco van murmuraban uso luz.", LocalDate.parse("02/02/2023", format)),
+		        			  new Piu(UUID.fromString("298ea670-1b23-4c4e-9929-b913abc2d99b"), UUID.fromString("2d29cb49-074f-473b-bc0a-39e4b64b830e"), "Atentos enemigo ordenes le te es. Chabacanos existencia la no il la superiores. Bajo sus modo mas hubo tal. Moribundo ha agradaban enfermizo costumbre va. Cerca tanto nuevo por estas padre una plata. Incurrian emociones audiencia en expansion le desdenado ni. De flor ir lire duro oh. Han trampa suerte gastar tenian los amados tiraba.", LocalDate.parse("15/02/2023", format)),
+		        			  new Piu(UUID.fromString("1ca4d4e4-de07-4f75-89fb-7044890aa3d2"), UUID.fromString("d76e3f34-a3ad-480d-82e8-a21f8b72c433"), "Esparcidos gorgoritos medianeria oyo influencia entusiasmo son oia luz. Daba vez sano miel con agua. Si alma casa oh opto vale tiro quel. Ve de da trabajador silencioso sacrosanta abofeteado oh atravesado. Muy prometido altamente vio legitimos. Hembras que interes mandaba ton cintura. Pacifico inmortal si temblona politica al molestar.", LocalDate.parse("13/02/2023", format))
+		       ));
+
+	}
+	
+	public List<Piu> findAll() {
+		return this.pius;
+	}
+	
+	public Piu findById(UUID id) {
+		List<Piu> ps = this.pius.stream().filter(x -> x.getId().equals(id)).collect(Collectors.toList());
+		if(ps.size() > 0) {
+			return ps.get(0);
+		}
+		return new Piu();
+	}
+	
+}

+ 40 - 0
src/main/java/es/uv/garcosda/services/UserService.java

@@ -0,0 +1,40 @@
+package es.uv.garcosda.services;
+
+import java.util.ArrayList;
+import java.util.Arrays;
+import java.util.List;
+import java.util.UUID;
+import java.util.stream.Collectors;
+
+import org.springframework.stereotype.Service;
+
+import es.uv.garcosda.domain.User;
+
+@Service
+public class UserService {
+
+	private List<User> users;
+	
+	public UserService() {
+		users = new ArrayList<User>(
+		        Arrays.asList(new User(UUID.fromString("f55b674e-4ab6-49d2-9750-bc8defa9b179"), "Edith", "Anis"),
+		        			  new User(UUID.fromString("88525d07-9ab2-43c2-8f3e-7aae6a16338e"), "Joane", "Flita"),
+		        			  new User(UUID.fromString("c06ce7bd-c470-4c38-9312-298a59cefee5"), "Laurene", "Gaulin"),
+		        			  new User(UUID.fromString("c1d4e9e9-7b25-42c6-b93a-4f59820288fd"), "Latisha", "Manolo"),
+		        			  new User(UUID.fromString("2d29cb49-074f-473b-bc0a-39e4b64b830e"), "Brynna", "Guthrie"),
+		        			  new User(UUID.fromString("d76e3f34-a3ad-480d-82e8-a21f8b72c433"), "Fred", "Gualtiero")
+		       ));
+	}
+	
+	public List<User> findAll(){
+		return this.users;
+	}
+	
+	public User findById(UUID id) {
+		List<User> ps = this.users.stream().filter(x -> x.getId().equals(id)).collect(Collectors.toList());
+		if(ps.size() > 0) {
+			return ps.get(0);
+		}
+		return new User();
+	}
+}

+ 1 - 0
src/main/resources/application.properties

@@ -0,0 +1 @@
+

+ 13 - 0
src/test/java/es/uv/garcosda/DbcdsS43ApplicationTests.java

@@ -0,0 +1,13 @@
+package es.uv.garcosda;
+
+import org.junit.jupiter.api.Test;
+import org.springframework.boot.test.context.SpringBootTest;
+
+@SpringBootTest
+class DbcdsS43ApplicationTests {
+
+	@Test
+	void contextLoads() {
+	}
+
+}